## org.eclipse.datatools.connectivity.ui.wizards
Class OtherDriverUIContributor

    java.lang.Object
      org.eclipse.datatools.connectivity.ui.wizards.OtherDriverUIContributor

All Implemented Interfaces:
  IDriverUIContributor

    public class OtherDriverUIContributor

extends java.lang.Object
implements IDriverUIContributor

Constructor Summary
`OtherDriverUIContributor()`

Method Summary
`boolean` `determineContributorCompletion()`
`Composite` `getContributedDriverUI(Composite parent, boolean isReadOnly)`
`java.util.List` `getSummaryData()`
`void` `handleEvent(Event event)`
`void` `loadProperties()`
`void` `modifyText(ModifyEvent e)`
`void` `setConnectionInformation()`
`void` `setDialogPage(DialogPage parentPage)`
`void` `setDriverUIContributorInformation(IDriverUIContributorInformation contributorInformation)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OtherDriverUIContributor

    public OtherDriverUIContributor()

Method Detail

### getContributedDriverUI

    public Composite getContributedDriverUI(Composite parent,
                                            boolean isReadOnly)

  Specified by:
    `getContributedDriverUI` in interface `IDriverUIContributor`

### setConnectionInformation

    public void setConnectionInformation()

### handleEvent

    public void handleEvent(Event event)

### determineContributorCompletion

    public boolean determineContributorCompletion()

  Specified by:
    `determineContributorCompletion` in interface `IDriverUIContributor`

### setDialogPage

    public void setDialogPage(DialogPage parentPage)

  Specified by:
    `setDialogPage` in interface `IDriverUIContributor`

### setDriverUIContributorInformation

    public void setDriverUIContributorInformation(IDriverUIContributorInformation contributorInformation)

  Specified by:
    `setDriverUIContributorInformation` in interface `IDriverUIContributor`

### loadProperties

    public void loadProperties()

  Specified by:
    `loadProperties` in interface `IDriverUIContributor`

### getSummaryData

    public java.util.List getSummaryData()

  Specified by:
    `getSummaryData` in interface `IDriverUIContributor`

### modifyText

    public void modifyText(ModifyEvent e)

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.